<script>
    import { TimePicker } from "view-design"
    import FunctionComponent from "../../../libs/utils/FunctionComponent";
    export default FunctionComponent(TimePicker, 'ht-base-time-picker', 'i',{
        preDispose(ctx){
            if(ctx.props.disabled === ''){
                this.class.push('ht-base-time-picker-disabled')
            }
            if(ctx.props.confirm === ''){
                this.class.push('ht-base-time-picker-confirm')
            }
        }
    })
</script>

